/*
	Descrição: Funções das tabelas
    Autor: Adriano Angélico
	Data: 26/10/2015
	Versão: 1.0
*/

$(function () {
    // ordenação dos itens da tabela
    $(".table-sort tr th:not(:empty)").on("click", function () {
        if ($(this).hasClass("sort-asc")) {
            $(".table-sort tr th").removeClass();
            $(this).addClass("sort-desc");
        } else if ($(this).hasClass("sort-desc")) {
            $(".table-sort tr th").removeClass();
            $(this).addClass("sort-asc");
        } else {
            $(".table-sort tr th").removeClass();
            $(this).addClass("sort-asc");
        }
    });

    // ativa a linha clicada
    $(".table tbody tr").on("click", function () {
        $(".table tbody tr").removeClass("active");
        $(this).addClass("active");
    });
});